Skip to main content
PUT
/
v3
/
nomenclature
/
{nomenclature_id}
Update nomenclature settings
curl --request PUT \
  --url https://api.ctrl-hub.com/v3/nomenclature/{nomenclature_id} \
  --header 'Content-Type: application/vnd.api+json' \
  --header 'X-Session-Token: <api-key>' \
  --data '
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "governance": {
        "schemes": [
          {
            "singular": "<string>",
            "plural": "<string>",
            "language": "<string>"
          }
        ],
        "work_orders": [
          {
            "singular": "<string>",
            "plural": "<string>",
            "language": "<string>"
          }
        ],
        "operations": [
          {
            "singular": "<string>",
            "plural": "<string>",
            "language": "<string>"
          }
        ],
        "scheme_contracts": [
          {
            "singular": "<string>",
            "plural": "<string>",
            "language": "<string>"
          }
        ]
      }
    }
  }
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "attributes": {
      "governance": {
        "schemes": [
          {
            "singular": "<string>",
            "plural": "<string>",
            "language": "<string>"
          }
        ],
        "work_orders": [
          {
            "singular": "<string>",
            "plural": "<string>",
            "language": "<string>"
          }
        ],
        "operations": [
          {
            "singular": "<string>",
            "plural": "<string>",
            "language": "<string>"
          }
        ],
        "scheme_contracts": [
          {
            "singular": "<string>",
            "plural": "<string>",
            "language": "<string>"
          }
        ]
      }
    },
    "meta": {
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  },
  "jsonapi": {
    "version": "<string>"
  }
}

Authorizations

X-Session-Token
string
header
required

Session token for authentication.

Path Parameters

nomenclature_id
string<uuid>
required

The unique identifier for the nomenclature resource.

Body

application/vnd.api+json

The nomenclature settings to update.

data
object
required

Response

The nomenclature settings for an organisation.

JSON API response object

data
object
required

Nomenclature settings for an organisation

jsonapi
object
required